package com.ruoyi.orderPlan.mapper;

import com.ruoyi.orderPlan.domain.Ftmsorderbillsfees;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 订单费用Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface FtmsorderbillsfeesMapper {
    /**
     * 查询车队费用
     *
     * @param fId 车队费用ID
     * @return 车队费用
     */
    public Ftmsorderbillsfees selectFTmsorderbillsfeesById(Long fId);

    public Ftmsorderbillsfees selectFTmsorderbillsfeesModifyById(Long fId);

    /**
     * 查询车队费用列表
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 车队费用集合
     */
    public List<Ftmsorderbillsfees> selectFTmsorderbillsfeesList(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 新增车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int insertFTmsorderbillsfees(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 新增车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int insertFTmsorderbillsfeesTemporaryStorage(Ftmsorderbillsfees fTmsorderbillsfees);



    /**
     * 修改车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int updateFTmsorderbillsfees(Ftmsorderbillsfees fTmsorderbillsfees);

    public int updateFTmsorderbillsfeesModify(Ftmsorderbillsfees fTmsorderbillsfees);



    /**
     * 删除车队费用
     *
     * @param fId 车队费用ID
     * @return 结果
     */
    public int deleteFTmsorderbillsfeesById(Long fId);

    public int deleteFTmsorderbillsfeesModifyById(Long fId);

    /**
     * 批量删除车队费用
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFTmsorderbillsfeesByIds(Long[] fIds);

    /**
     *  根据主表id删除对应信息
     * @param pId   主表id
     * @return  结果
     */
    public int deleteFTmsorderbillsfeesByPId(long pId);

    /**
     *  根据上级id查询对应信息
     * @param pId   上级id
     * @return  结果
     */
    public List<Ftmsorderbillsfees> selectFTmsorderbillsfeesByPId(long pId);

    public List<Ftmsorderbillsfees> selectFTmsorderbillsfeesBySrcMId(long srcMId);

    /**
     *  根据条件删除对应数据
     * @param ftmsorderbillsfees    参数
     * @return  结果
     */
    public int deleteFTmsorderbillsfees(Ftmsorderbillsfees ftmsorderbillsfees);

    public int updateFTmsorderbillsfee(@Param("map") Map<String, Object> map);

    /**
     *  根据条件查询数据数量
     * @param ftmsorderbillsfees    条件
     * @return  结果
     */
    public int selectFTmsorderbillsfeesCount(Ftmsorderbillsfees ftmsorderbillsfees);
}
